import 'package:flutter/material.dart';
import 'package:uzu_md/uzu_md.dart';

const String _notes = """
### ●ストーリー
あなたは大変な野心家で、それに伴う能力も兼ね備えている。 

低い身分の出身だが、身分を一切気にしないノブナガ国王のおかげで現在の地位に上り詰めた。

彼の下で出世をしようと思っていたが、アケチのおかげであなたにもジパングを手に入れるチャンスが巡ってきた。

まだ幼いポーシ王子を後継者とし、邪魔な家臣を倒せばジパングの実権を容易に握れるだろう。

敵討ちの手柄はあなた一人のものであるため、発言権も絶大だろう。

また、黒幕の存在が未だ分からない。

この会議の第一目的はポーシ王子を後継者にすることだが、もし黒幕がいるならこの会議で見つけなければ危ういかもしれない。
　

### ●隠したい事実
あなたはノブナガ国王が殺害されるという事実を5月30日の時点で予め知っていた。 

情報源はセントラルシティにいたスパイの報告である。

それを知りながらチャンスと捉え、アケチを倒すための準備をしたことで異常なスピードで倒すことができた。

この事実が明るみになればアケチを事前に止めなかった不忠者として立場を決定的に失うだろう。

また、アケチを倒すスピードも疑惑の対象であると考えられるため、黒幕としての扱いを受けないように十分気を付ける必要がある。

そもそも黒幕が存在しないという結論に持って行き、ポーシ王子を後継者にする方が賢明かもしれない。
　

### ●ノブナガ殺害前後の行動
#### ○1月1日
家臣全員の前でアケチがノブナガに叱責されているのを見る。
　

#### ○～5月29日
西の国との戦争中。兵力差が大きいため簡単に終結しそうだ。
　

#### ○5月30日
セントラルシティで偵察中だったスパイから「アケチの家臣が『これから国王に反乱を起こすように説得する』という話をしているのを聞いた」と報告を受ける。 

そのスパイは帰還時に関所でハシバの家臣と名乗ってしまったらしい。誰かに知られていないと良いが……。
　

#### ○5月31日～6月1日
大軍を長距離移動させるための準備を整える。
　

#### ○6月3日夜半
ノブナガ死亡の報告を受ける。
　

#### ○6月4日
西の国と妥協策で和睦することでの平定を完了。自らの城に向けて進軍。
　

#### ○6月7日
城に到着。戦の準備を始める。
　

#### ○6月9日
城を出発し、セントラルシティへ向け進軍。
　

#### ○6月11日～13日
アケチと戦闘、勝利する。
　

#### ○6月24日
キヨスでの会議に出席する。
　

### ●キーアイテムについて
あなたのキーアイテムは「ノブカツへの手紙」である。

セントラルシティのスパイを通じて入手したものの写本だ。 

どうやらノブカツは絶縁を考えられていたらしく、これは後継者問題にも大きくかかわりそうだ。

しかし自分がスパイを送り込んでいたことも書かれているため、公開は慎重にした方が良さそうだ。
　

### ●得点
- ポーシ王子が後継者に選ばれる。 5点

- 正しい黒幕に投票する。 or アケチ単独犯に投票する。 3点

- 自分がノブナガの死を予め知っていたことを指摘されない。 2点
""";

class BasicMarkdownDemo extends StatelessWidget {
  static const _title = 'Basic Markdown Demo';

  @override
  String get title => BasicMarkdownDemo._title;

  @override
  String get description => 'Shows the effect the four Markdown extension sets '
      'have on basic and extended Markdown tagged elements.';

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: UzuMd(body: _notes),
    );
  }
}
